package com.eactive.eai.rms.bat.web.eims.vo;

import com.eactive.eai.rms.common.datasource.DataSourceContextHolder;
import com.eactive.eai.rms.onl.vo.PersistentVo;

/*
 * TSEAIES05
 */
public class FileAdapterVo implements PersistentVo{

	private String adptrcd                ;
	private String adptrcdseq             ;
	private String intfid                 ;
	private String ftpname                ;
	private String ftpnamedesc            ;
	private String ftphostname            ;
	private String rmtsevrftpportnoname   ;
	private String rmtsevrftpuid          ;
	private String rmtsevrftpuserpwdname  ;
	private String ftparchivedir          ;
	private String ftpstorefilepattern    ;
	private String nextoption             ;
	private String checkname 		      ;
	private String ftpcheckdir            ;
	private String sectionval             ;
	private String ftpbackupdir           ;
	private String ftptype  = "SFTP_KEY"  ;
	private String layoutkey  = "0"       ;
	private String workgrpCd = ""		  ;
	
	public String getAdptrcd() {
		return adptrcd;
	}
	public void setAdptrcd(String adptrcd) {
		this.adptrcd = adptrcd;
	}
	public String getAdptrcdseq() {
		return adptrcdseq;
	}
	public void setAdptrcdseq(String adptrcdseq) {
		this.adptrcdseq = adptrcdseq;
	}
	public String getIntfid() {
		return intfid;
	}
	public void setIntfid(String intfid) {
		this.intfid = intfid;
	}
	public String getFtpname() {
		return ftpname;
	}
	public void setFtpname(String ftpname) {
		this.ftpname = ftpname;
	}
	public String getFtpnamedesc() {
		return ftpnamedesc;
	}
	public void setFtpnamedesc(String ftpnamedesc) {
		this.ftpnamedesc = ftpnamedesc;
	}
	public String getFtphostname() {
		return ftphostname;
	}
	public void setFtphostname(String ftphostname) {
		this.ftphostname = ftphostname;
	}
	public String getRmtsevrftpportnoname() {
		return rmtsevrftpportnoname;
	}
	public void setRmtsevrftpportnoname(String rmtsevrftpportnoname) {
		this.rmtsevrftpportnoname = rmtsevrftpportnoname;
	}
	public String getRmtsevrftpuid() {
		return rmtsevrftpuid;
	}
	public void setRmtsevrftpuid(String rmtsevrftpuid) {
		this.rmtsevrftpuid = rmtsevrftpuid;
	}
	public String getRmtsevrftpuserpwdname() {
		return rmtsevrftpuserpwdname;
	}
	public void setRmtsevrftpuserpwdname(String rmtsevrftpuserpwdname) {
		this.rmtsevrftpuserpwdname = rmtsevrftpuserpwdname;
	}
	public String getFtparchivedir() {
		return ftparchivedir;
	}
	public void setFtparchivedir(String ftparchivedir) {
		this.ftparchivedir = ftparchivedir;
	}
	public String getFtpstorefilepattern() {
		return ftpstorefilepattern;
	}
	public void setFtpstorefilepattern(String ftpstorefilepattern) {
		this.ftpstorefilepattern = ftpstorefilepattern;
	}
	public String getNextoption() {
		return nextoption;
	}
	public void setNextoption(String nextoption) {
		this.nextoption = nextoption;
	}
	public String getCheckname() {
		return checkname;
	}
	public void setCheckname(String checkname) {
		this.checkname = checkname;
	}
	public String getFtpcheckdir() {
		return ftpcheckdir;
	}
	public void setFtpcheckdir(String ftpcheckdir) {
		this.ftpcheckdir = ftpcheckdir;
	}
	public String getSectionval() {
		return sectionval;
	}
	public void setSectionval(String sectionval) {
		this.sectionval = sectionval;
	}
	public String getFtpbackupdir() {
		return ftpbackupdir;
	}
	public void setFtpbackupdir(String ftpbackupdir) {
		this.ftpbackupdir = ftpbackupdir;
	}
	public String getFtptype() {
		return ftptype;
	}
	public void setFtptype(String ftptype) {
		this.ftptype = ftptype;
	}
	public String getLayoutkey() {
		return layoutkey;
	}
	public void setLayoutkey(String layoutkey) {
		this.layoutkey = layoutkey;
	}
	public String getWorkGrpCd() {
		return workgrpCd;
	}
	public void setWorkGrpCd(String workgrpCd) {
		this.workgrpCd = workgrpCd;
	}
	
	
	@Override
	public String getSchemaId() {
		return DataSourceContextHolder.getDataSourceType().getSchema();
	}

	
}
